com.dlsc.flexgantt.model

## Class TimeSpanIterator<T extends ITimeSpan>

- java.lang.Object
- - com.dlsc.flexgantt.model.TimeSpanIterator<T>

- Type Parameters:
    `T` - the element type of the list over which to iterate
  All Implemented Interfaces:
    Iterator<T>

      public class TimeSpanIterator<T extends ITimeSpan>
      extends Object
      implements Iterator<T>

  An iterator implementation specialized on iterating over a list of `ITimeSpan` elements.
  Since:
    1.0
  Version:
    $Revision: 1.7 $
  Author:
    Dirk Lemmermann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeSpanIterator(List<T> timeSpanList, ITimeSpan span)` Constructs a new time span iterator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `T` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### TimeSpanIterator

          public TimeSpanIterator(List<T> timeSpanList,
                                  ITimeSpan span)

      Constructs a new time span iterator.
      Parameters:
        `timeSpanList` - the list of time spans that will iterated over
        `span` - the time span for which to return time spans stored in the list
      Since:
        1.0

  - ### Method Detail

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<T extends ITimeSpan>`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<T extends ITimeSpan>`

    - #### next

          public T next()

      Specified by:
        `next` in interface `Iterator<T extends ITimeSpan>`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.